/*
    WikiNote3
    Copyright © 2020  Lee Yingtong Li (RunasSudo)
 
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.
 
    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

document.querySelectorAll('.tooltip.xref').forEach(function(el) {
	el.addEventListener('mouseover', function() {
		if (!el.xrefLoaded) {
			el.xrefLoaded = true;
			
			var xhr = new XMLHttpRequest();
			xhr.addEventListener('load', function() {
				el.querySelector('.tooltip-content').innerHTML = xhr.responseText;
			})
			xhr.open('GET', '/preview/' + el.dataset['xref']);
			xhr.send();
		}
	});
});
